using System;
using Xamarin.Forms;

namespace InABox.Mobile
{
    public class MobileMenuItem : MobileMenuEntry
    {
        
        public override MobileMenuEntryType Type => MobileMenuEntryType.Item;
        
        public event EventHandler Clicked;
        
        public void DoClicked()
        {
            Clicked?.Invoke(this, EventArgs.Empty);
            AfterClick?.Invoke();
        }

        public MobileMenuItem()
        {
            IsVisible = true;
        }
        
        public string Text { get; set; }
        
        public ImageSource Image { get; set; }
        
    }
}